summaryrefslogtreecommitdiff
path: root/media-sound/subsonic/files/subsonic.initd
diff options
context:
space:
mode:
Diffstat (limited to 'media-sound/subsonic/files/subsonic.initd')
-rw-r--r--media-sound/subsonic/files/subsonic.initd33
1 files changed, 33 insertions, 0 deletions
diff --git a/media-sound/subsonic/files/subsonic.initd b/media-sound/subsonic/files/subsonic.initd
new file mode 100644
index 0000000..e163411
--- /dev/null
+++ b/media-sound/subsonic/files/subsonic.initd
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+depend() {
+ need net
+}
+
+start() {
+ start-stop-daemon \
+ --start --user "${SUBSONIC_USER}" --name subsonic \
+ --env HOME="${SUBSONIC_HOME}" --exec /opt/subsonic/subsonic.sh \
+ --nicelevel "${NICELEVEL}" \
+ -- --pidfile=${PIDFILE} \
+ --home=${SUBSONIC_HOME} \
+ --host=${SUBSONIC_HOST} \
+ --port=${SUBSONIC_PORT} \
+ --https-port=${SUBSONIC_HTTPS_PORT} \
+ --context-path=${SUBSONIC_CONTEXT_PATH} \
+ --max-memory=${SUBSONIC_MAX_MEMORY} \
+ --default-music-folder=${SUBSONIC_DEFAULT_MUSIC_FOLDER} \
+ --default-podcast-folder=${SUBSONIC_DEFAULT_PODCAST_FOLDER} \
+ --default-playlist-folder=${SUBSONIC_DEFAULT_PLAYLIST_FOLDER} \
+ ${SUBSONIC_OPTS}
+ eend $?
+}
+
+stop() {
+ start-stop-daemon --stop --user "${SUBSONIC_USER}" \
+ --pidfile ${PIDFILE} \
+ --wait 30000 \
+ --progress
+ eend $?
+} \ No newline at end of file